#pragma once

#include <Reader.h>
#include <ReferenceCounter.h>
#include <Vec3.h>

#include "ModelInfo.h"

class Entity;

class EntityType : public virtual Framework::ReferenceCounter
{
private:
    const int id;
    ModelInfo model;

public:
    EntityType(int id, ModelInfo model);
    Entity* loadEntity(Framework::StreamReader* zReader) const;
    int getId() const;
};